# NM_Send_Interaction Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Send_Interaction:

[legend]

List of all members.

## Public Types
typedef NM_WithHandleArray | Super
## Public Member Functions
| NM_Send_Interaction ()
virtual | ~NM_Send_Interaction ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.

## Detailed Description

Definition at line 923 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NM_WithHandleArray Super

Reimplemented from NM_WithHandleArray.

Reimplemented in NM_Receive_Interaction.

Definition at line 925 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Send_Interaction | ( |  | ) |

Definition at line 1159 of file NM_Classes.cc.

References NetworkMessage::name, NetworkMessage::SEND_INTERACTION, and NetworkMessage::type.

~NM_Send_Interaction | ( |  | ) | `[virtual]`

Definition at line 1164 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NM_WithHandleArray.

Definition at line 1166 of file NM_Classes.cc.

References NetworkMessage::handleArraySize, NetworkMessage::interactionClass, NetworkMessage::region, NM_WithHandleArray::serialize(), NetworkMessage::valueArray, and MessageBuffer::write_string().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NM_WithHandleArray.

Definition at line 1177 of file NM_Classes.cc.

References NM_WithHandleArray::deserialize(), NetworkMessage::handleArraySize, NetworkMessage::interactionClass, MessageBuffer::read_string(), NetworkMessage::region, and NetworkMessage::valueArray.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc